## birdtray 1.6+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)

project(Birdtray CXX)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

find_package(SQLite3 REQUIRED)
find_package(Qt5Core CONFIG REQUIRED)
find_package(Qt5Gui CONFIG REQUIRED)
find_package(Qt5Widgets CONFIG REQUIRED)
set(REQUIRED_MODULES ${SQLITE3_LIBRARIES} Qt5::Core Qt5::Gui Qt5::Widgets)

set(PLATFORM_SOURCES)
set(PLATFORM_HEADERS)
set(EXECUTABLE_OPTIONS)

if (WIN32)
    set(EXECUTABLE_OPTIONS WIN32)
    ENABLE_LANGUAGE(RC)
    add_definitions(-DUNICODE)
    set(PLATFORM_SOURCES src/windowtools_win.cpp src/birdtrayeventfilter.cpp src/res/birdtray.rc)
    set(PLATFORM_HEADERS src/windowtools_win.h src/birdtrayeventfilter.h)
else()
    find_package(Qt5X11Extras QUIET)
    find_library(X11 X11)
    list(APPEND REQUIRED_MODULES Qt5::X11Extras ${X11})
    set(PLATFORM_SOURCES src/windowtools_x11.cpp)
    set(PLATFORM_HEADERS src/windowtools_x11.h)
endif (WIN32)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
include_directories(${SQLITE3_INCLUDE_DIRS} src)
add_definitions(-DQT_DEPRECATED_WARNINGS)

set(SOURCES
        src/colorbutton.cpp
        src/databaseaccounts.cpp
        src/databaseunreadfixer.cpp
        src/dialogaddeditaccount.cpp
        src/dialogaddeditnewemail.cpp
        src/dialogsettings.cpp
        src/main.cpp
        src/modelaccounttree.cpp
        src/modelnewemails.cpp
        src/morkparser.cpp
        src/setting_newemail.cpp
        src/settings.cpp
        src/sqlite_statement.cpp
        src/trayicon.cpp
        src/unreadcounter.cpp
        src/utils.cpp
        src/windowtools.cpp
        src/dialogaddeditaccount.ui
        src/dialogaddeditnewemail.ui
        src/dialogsettings.ui)

set(HEADERS
        src/colorbutton.h
        src/databaseaccounts.h
        src/databaseunreadfixer.h
        src/dialogaddeditaccount.h
        src/dialogaddeditnewemail.h
        src/dialogsettings.h
        src/modelaccounttree.h
        src/modelnewemails.h
        src/morkparser.h
        src/setting_newemail.h
        src/settings.h
        src/sqlite_statement.h
        src/trayicon.h
        src/unreadcounter.h
        src/utils.h
        src/version.h
        src/windowtools.h)

set(RESOURCES src/resources.qrc)
source_group("Resources" FILES ${RESOURCES})
qt5_add_resources(RESOURCES_SOURCES ${RESOURCES})
set_source_files_properties(${RESOURCES_SOURCES} PROPERTIES GENERATED ON)

add_executable(birdtray ${EXECUTABLE_OPTIONS}
        ${SOURCES} ${PLATFORM_SOURCES} ${RESOURCES_SOURCES} ${HEADERS} ${PLATFORM_HEADERS})
target_link_libraries(birdtray ${REQUIRED_MODULES})

## birdtray 1.4

=== debian/changelog ===
birdtray (1.4-1~mx17+1) mx; urgency=medium

  * Repackaged for MX 17 & 18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 09 Dec 2018 08:15:56 -0800

birdtray (1.4-1~bionic) bionic; urgency=medium

  * Version 1.4 released:
    - Added ability to ignore the current unread email count. When selected, the current unread email count is remembered as "new zero", and new unread notifications would only be shown on top of that.
    - Fixed issue with multiple Thunderbird instances starting;
    - Added Qt 5.5 support
    - Fixed multiple issues.

 -- Logix <logix@linuxuprising.com>  Mon, 03 Dec 2018 12:35:22 +0200

birdtray (1.3-1~disco) disco; urgency=medium

  * Version 1.3 released:c
    - Implemented an option to use a different icon when unread messages are present.
    - Redesigned settings dialog.
    - Added Mork parser to get unread emails from MSF files directly, thus enabling using 
      Birdtray for the users who have disabled global search. This is now default option, for 
      those tho prefer the former sqlite one, please switch the parser in the Monitoring tab. 
      This also enabled support for smart folders.
    - Fix the CPU hogging issue by switching to direct blinking without using alpha transition 
      (could be reenabled in advanced settings).
    - Implemented new email message functionality.
    - Added options to automatically hide Thunderbird on start and restart.
    - Added option to automatically restart closed Thunderbird.

 -- Logix <logix@linuxuprising.com>  Mon, 22 Oct 2018 13:40:29 +0200

birdtray (1.1-15-g5062165~bionic1) bionic; urgency=medium

  * First release (from git)

 -- Logix <logix@linuxuprising.com>  Mon, 22 Oct 2018 13:40:29 +0200

=== debian/control ===
Source: birdtray
Section: utils
Priority: optional
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Logix <logix@linuxuprising.com> 
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 11), qt5-default (>= 5.5), libqt5x11extras5-dev (>= 5.5), libsqlite3-dev
Homepage: https://github.com/gyunaev/birdtray

Package: birdtray
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: System tray new mail notification for Thunderbird 60+
 Birdtray is a free system tray notification for new mail 
 for Thunderbird. Its primary platform is Linux/X Windows.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

%:
	dh $@ 

override_dh_auto_configure:
	cd src && rm -f .qmake.stash && qmake

override_dh_auto_build:
	cd src && make

override_dh_strip:
	dh_strip --no-automatic-dbgsym
	
#override_dh_auto_clean:
#	rm -rf build

## birdtray 1.5

=== debian/changelog ===
birdtray (1.5-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 22 Jan 2021 10:59:13 +0800

birdtray (1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 16 Feb 2019 23:16:33 +0100

birdtray (1.4-3) unstable; urgency=medium

  * Add epoch to the versioned build-dependency.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 10 Jan 2019 09:47:09 +0100

birdtray (1.4-2) unstable; urgency=medium

  * Introduce a _build_ dependency on thunderbird to drop the package
    on archs where it's not available.  Versioned to handle transition.
    Closes: #917341.
  * Use dh_auto_* for wrangling qmake's build flags.
  * Add a man page.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 10 Jan 2019 04:44:17 +0100

birdtray (1.4-1) unstable; urgency=medium

  * Initial release.  Closes: #916051.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 09 Dec 2018 19:21:40 +0100

=== debian/control ===
Source: birdtray
Section: mail
Priority: optional
Maintainer: Adam Borowski <kilobyte@angband.pl>
Build-Depends: debhelper (>= 11~),
               libqt5x11extras5-dev,
               libsqlite3-dev,
               qtbase5-dev,
               thunderbird (>= 1:60),
Standards-Version: 4.3.0
Homepage: https://github.com/gyunaev/birdtray
Vcs-Git: https://salsa.debian.org/debian/birdtray
Vcs-Browser: https://salsa.debian.org/debian/birdtray
Rules-Requires-Root: no

Package: birdtray
Architecture: any
Depends: thunderbird, ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Description: system tray notifications for Thunderbird
 Birdtray provides systray notifications for Thunderbird.  It displays the
 count of unread mail, hides the Thunderbird window when not in use, and
 restores it on clicking the tray icon.  It also provides a context menu
 with commands such as starting composing a new mail.
 .
 It is a nasty hack -- an external process looking at Thunderbird's
 insides, it suffers from problems like noticing new mails only after a
 delay, having to restart Thunderbird just to hide its window, etc --
 you'd want to use an extension like firetray instead -- but, it is
 likely that support for Thunderbird XUL extensions will be dropped soon,
 possibly by the time you read these words.

=== debian/watch ===
version=2
opts=filenamemangle=s/.+\/archive\/(\d\S*)\.tar\.gz/birdtray-$1\.tar\.gz/ \
  https://github.com/gyunaev/birdtray/tags .*/archive/(\d\S*)\.tar\.gz

## birdtray 1.6+ds

=== debian/changelog ===
birdtray (1.6+ds-1~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 26 Sep 2019 14:58:15 -0700

birdtray (1.6+ds-1~mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 26 Sep 2019 14:50:54 -0700

birdtray (1.6+ds-1) unstable; urgency=medium

  * New upstream release.
  * Let the watch file ignore "RELEASE_" prefix on upstream tag(s?).
  * Repack the tarball to remove NSIS binaries for Windows.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 22 Jun 2019 20:46:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: birdtray
 Section: mail
 Priority: optional
-Maintainer: Adam Borowski <kilobyte@angband.pl>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+XSBC-Original-Maintainer: Adam Borowski <kilobyte@angband.pl>
 Build-Depends: debhelper (>= 11~),
                libqt5x11extras5-dev,
                libsqlite3-dev,

## birdtray 1.7.0+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,25 +9,47 @@
 find_package(Qt5Core CONFIG REQUIRED)
 find_package(Qt5Gui CONFIG REQUIRED)
 find_package(Qt5Widgets CONFIG REQUIRED)
-set(REQUIRED_MODULES ${SQLITE3_LIBRARIES} Qt5::Core Qt5::Gui Qt5::Widgets)
+find_package(Qt5Network CONFIG REQUIRED)
+find_package(Qt5LinguistTools CONFIG QUIET)
+set(REQUIRED_MODULES ${SQLITE3_LIBRARIES} Qt5::Core Qt5::Gui Qt5::Widgets Qt5::Network)
 
 set(PLATFORM_SOURCES)
 set(PLATFORM_HEADERS)
 set(EXECUTABLE_OPTIONS)
 
-if (WIN32)
+option( OPT_THUNDERBIRD_CMDLINE "Default Thunderbird startup command-line" [])
+option( OPT_THUNDERBIRD_PROFILE "Default Thunderbird profile path" [])
+
+if (OPT_THUNDERBIRD_CMDLINE)
+    message(STATUS "Setting Thunderbird command-line to ${OPT_THUNDERBIRD_CMDLINE}")
+    add_definitions(-DOPT_THUNDERBIRD_CMDLINE="${OPT_THUNDERBIRD_CMDLINE}")
+endif(OPT_THUNDERBIRD_CMDLINE)
+
+if (OPT_THUNDERBIRD_PROFILE)
+    message(STATUS "Setting Thunderbird command line to ${OPT_THUNDERBIRD_PROFILE}")
+    add_definitions(-DOPT_THUNDERBIRD_PROFILE="${OPT_THUNDERBIRD_PROFILE}")
+endif(OPT_THUNDERBIRD_PROFILE)
+
+if(NOT Qt5LinguistTools_FOUND)
+    message(STATUS "Qt5LinguistTools package not found: translations will not be available")
+endif(NOT Qt5LinguistTools_FOUND)
+
+if(WIN32)
     set(EXECUTABLE_OPTIONS WIN32)
     ENABLE_LANGUAGE(RC)
     add_definitions(-DUNICODE)
-    set(PLATFORM_SOURCES src/windowtools_win.cpp src/birdtrayeventfilter.cpp src/res/birdtray.rc)
-    set(PLATFORM_HEADERS src/windowtools_win.h src/birdtrayeventfilter.h)
+    set(PLATFORM_SOURCES src/windowtools_win.cpp src/birdtrayeventfilter.cpp
+            src/processhandle.cpp src/res/birdtray.rc)
+    set(PLATFORM_HEADERS src/windowtools_win.h src/birdtrayeventfilter.h src/processhandle.h)
+    find_package(Qt5WinExtras CONFIG REQUIRED)
+    list(APPEND REQUIRED_MODULES Qt5::WinExtras)
 else()
-    find_package(Qt5X11Extras QUIET)
+    find_package(Qt5X11Extras REQUIRED)
     find_library(X11 X11)
     list(APPEND REQUIRED_MODULES Qt5::X11Extras ${X11})
     set(PLATFORM_SOURCES src/windowtools_x11.cpp)
     set(PLATFORM_HEADERS src/windowtools_x11.h)
-endif (WIN32)
+endif(WIN32)
 
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_AUTOMOC ON)
@@ -50,12 +72,20 @@
         src/settings.cpp
         src/sqlite_statement.cpp
         src/trayicon.cpp
-        src/unreadcounter.cpp
+        src/unreadmonitor.cpp
         src/utils.cpp
         src/windowtools.cpp
+        src/autoupdater.cpp
+        src/updatedialog.cpp
+        src/updatedownloaddialog.cpp
+        src/mailaccountdialog.cpp
+        src/birdtrayapp.cpp
         src/dialogaddeditaccount.ui
         src/dialogaddeditnewemail.ui
-        src/dialogsettings.ui)
+        src/dialogsettings.ui
+        src/updatedialog.ui
+        src/updatedownloaddialog.ui
+        src/mailaccountdialog.ui)
 
 set(HEADERS
         src/colorbutton.h
@@ -71,16 +101,108 @@
         src/settings.h
         src/sqlite_statement.h
         src/trayicon.h
-        src/unreadcounter.h
+        src/unreadmonitor.h
         src/utils.h
         src/version.h
-        src/windowtools.h)
+        src/windowtools.h
+        src/autoupdater.h
+        src/updatedialog.h
+        src/updatedownloaddialog.h
+        src/mailaccountdialog.h
+        src/birdtrayapp.h)
 
 set(RESOURCES src/resources.qrc)
 source_group("Resources" FILES ${RESOURCES})
 qt5_add_resources(RESOURCES_SOURCES ${RESOURCES})
 set_source_files_properties(${RESOURCES_SOURCES} PROPERTIES GENERATED ON)
 
+if(Qt5LinguistTools_FOUND)
+    set(MAIN_TRANSLATION_FILES
+            src/translations/main_en.ts
+            src/translations/main_de.ts)
+    set(DYN_TRANSLATION_FILES
+            src/translations/dynamic_en.ts
+            src/translations/dynamic_de.ts)
+
+    set_source_files_properties(${MAIN_TRANSLATION_FILES} PROPERTIES OUTPUT_LOCATION
+            ${CMAKE_CURRENT_BINARY_DIR}/translations)
+    set_source_files_properties(${DYN_TRANSLATION_FILES} PROPERTIES OUTPUT_LOCATION
+            ${CMAKE_CURRENT_BINARY_DIR}/translations)
+
+    qt5_create_translation(GEN_TRANSLATION_FILES
+            ${MAIN_TRANSLATION_FILES}
+            ${SOURCES} ${PLATFORM_SOURCES} ${HEADERS} ${PLATFORM_HEADERS}
+            OPTIONS -locations none)
+    qt5_add_translation(GEN_DYN_TRANSLATION_FILES ${DYN_TRANSLATION_FILES})
+    list(APPEND GEN_TRANSLATION_FILES ${GEN_DYN_TRANSLATION_FILES})
+endif(Qt5LinguistTools_FOUND)
+
 add_executable(birdtray ${EXECUTABLE_OPTIONS}
-        ${SOURCES} ${PLATFORM_SOURCES} ${RESOURCES_SOURCES} ${HEADERS} ${PLATFORM_HEADERS})
+        ${SOURCES} ${PLATFORM_SOURCES} ${RESOURCES_SOURCES} ${GEN_TRANSLATION_FILES}
+        ${HEADERS} ${PLATFORM_HEADERS})
 target_link_libraries(birdtray ${REQUIRED_MODULES})
+if(MSVC)
+    target_compile_options(birdtray PRIVATE /utf-8)
+endif()
+
+option(COMPILER_WARNINGS_AS_ERRORS "Fail the build on compiler warnings" OFF)
+if(COMPILER_WARNINGS_AS_ERRORS)
+    if(MSVC)
+        target_compile_options(birdtray PRIVATE /W4 /WX)
+    else()
+        target_compile_options(birdtray PRIVATE -Wall -Wextra -Wpedantic -Werror)
+    endif()
+endif()
+
+# Installation
+if(WIN32)
+    # Find ssl libraries
+    find_library(SSL_LIBRARY NAMES ssl)
+    get_filename_component(SSL_PATH ${SSL_LIBRARY} DIRECTORY)
+    if(SSL_LIBRARY)
+        STRING(REGEX REPLACE "/" "\\\\\\\\" SSL_PATH ${SSL_PATH})
+    endif()
+
+    # Create installer
+    STRING(REGEX REPLACE "/" "\\\\\\\\" BIRDTRAY_EXE ${CMAKE_BINARY_DIR}/birdtray.exe)
+    STRING(REGEX REPLACE "/" "\\\\\\\\" SQLITE3_PATH ${SQLITE3_LIBRARY})
+    install(CODE "execute_process(
+        COMMAND cmd /C buildInstaller.bat
+            \"${BIRDTRAY_EXE}\" \"${SQLITE3_PATH}\" \"${SSL_PATH}\" --install
+        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/installer)")
+else()
+    include(GNUInstallDirs)
+    install(TARGETS birdtray RUNTIME DESTINATION bin)
+    install(FILES src/res/com.ulduzsoft.Birdtray.desktop
+            DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
+    install(FILES src/res/com.ulduzsoft.Birdtray.appdata.xml
+            DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/metainfo)
+    foreach(size 32 48 64 128)
+        install(FILES src/res/icons/${size}/com.ulduzsoft.Birdtray.png
+                DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/${size}x${size}/apps)
+    endforeach()
+    install (FILES src/res/birdtray.svg
+             DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/apps 
+             RENAME com.ulduzsoft.Birdtray.svg)
+    install(DIRECTORY ${CMAKE_BINARY_DIR}/translations
+            DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/ulduzsoft/birdtray)
+endif()
+
+if(Qt5LinguistTools_FOUND)
+    add_custom_target(clean_translations COMMENT "Remove obsolete translation entries")
+    foreach(TRANSLATION_FILE ${MAIN_TRANSLATION_FILES})
+        get_filename_component(TRANSLATION_NAME ${TRANSLATION_FILE} NAME)
+        set(TRANSLATION_LST_FILE
+                "${CMAKE_CURRENT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/${TRANSLATION_NAME}_lst_file")
+        if(NOT EXISTS ${TRANSLATION_LST_FILE})
+            get_filename_component(TRANSLATION_NAME ${TRANSLATION_FILE} NAME_WE)
+            set(TRANSLATION_LST_FILE
+                    "${CMAKE_CURRENT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/${TRANSLATION_NAME}_lst_file")
+        endif()
+        add_custom_command(TARGET clean_translations
+                COMMAND ${Qt5_LUPDATE_EXECUTABLE}
+                ARGS -locations none -no-obsolete "@${TRANSLATION_LST_FILE}"
+                -ts ${CMAKE_CURRENT_SOURCE_DIR}/${TRANSLATION_FILE}
+                DEPENDS ${TRANSLATION_LST_FILE})
+    endforeach()
+endif()

=== debian/changelog ===
birdtray (1.7.0+ds-1~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 29 Dec 2019 08:11:49 -0800

birdtray (1.7.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Build system switched to cmake.
  * B-Dep on qttools5-dev.
  * dh 12.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 04 Dec 2019 05:49:12 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,14 @@
 Priority: optional
 Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
 XSBC-Original-Maintainer: Adam Borowski <kilobyte@angband.pl>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12),
+               cmake,
                libqt5x11extras5-dev,
                libsqlite3-dev,
                qtbase5-dev,
+               qttools5-dev,
                thunderbird (>= 1:60),
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/gyunaev/birdtray
 Vcs-Git: https://salsa.debian.org/debian/birdtray
 Vcs-Browser: https://salsa.debian.org/debian/birdtray

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export QT_SELECT=qt5

%:
	dh $@
override_dh_strip:
	dh_strip -a --no-automatic-dbgsym

## birdtray 1.8.0+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)

project(Birdtray CXX)

set(CMAKE_CXX_STANDARD 11)

find_package(Qt5Core CONFIG REQUIRED)
find_package(Qt5Gui CONFIG REQUIRED)
find_package(Qt5Widgets CONFIG REQUIRED)
find_package(Qt5Network CONFIG REQUIRED)
find_package(Qt5Svg CONFIG REQUIRED)
find_package(Qt5LinguistTools CONFIG QUIET)
set(REQUIRED_MODULES Qt5::Core Qt5::Gui Qt5::Widgets Qt5::Network Qt5::Svg)

set(PLATFORM_SOURCES)
set(PLATFORM_HEADERS)
set(EXECUTABLE_OPTIONS)

option(OPT_THUNDERBIRD_CMDLINE "Default Thunderbird startup command-line" [])
option(OPT_THUNDERBIRD_PROFILE "Default Thunderbird profile path" [])

if(OPT_THUNDERBIRD_CMDLINE)
    message(STATUS "Setting Thunderbird command-line to ${OPT_THUNDERBIRD_CMDLINE}")
    add_definitions(-DOPT_THUNDERBIRD_CMDLINE="${OPT_THUNDERBIRD_CMDLINE}")
endif(OPT_THUNDERBIRD_CMDLINE)

if(OPT_THUNDERBIRD_PROFILE)
    message(STATUS "Setting Thunderbird profile path to ${OPT_THUNDERBIRD_PROFILE}")
    add_definitions(-DOPT_THUNDERBIRD_PROFILE="${OPT_THUNDERBIRD_PROFILE}")
endif(OPT_THUNDERBIRD_PROFILE)

if(NOT Qt5LinguistTools_FOUND)
    message(STATUS "Qt5LinguistTools package not found: Translations will not be available")
endif(NOT Qt5LinguistTools_FOUND)

if(WIN32)
    set(EXECUTABLE_OPTIONS WIN32)
    ENABLE_LANGUAGE(RC)
    add_definitions(-DUNICODE -DNOMINMAX)
    set(PLATFORM_SOURCES src/windowtools_win.cpp src/birdtrayeventfilter.cpp
            src/processhandle.cpp)
    set(PLATFORM_EXE_SOURCES src/res/birdtray.rc)
    set(PLATFORM_HEADERS src/windowtools_win.h src/birdtrayeventfilter.h src/processhandle.h)
    find_package(Qt5WinExtras CONFIG REQUIRED)
    list(APPEND REQUIRED_MODULES Qt5::WinExtras)
else()
    find_package(Qt5X11Extras REQUIRED)
    find_library(X11 X11)
    list(APPEND REQUIRED_MODULES Qt5::X11Extras ${X11})
    set(PLATFORM_SOURCES src/windowtools_x11.cpp)
    set(PLATFORM_HEADERS src/windowtools_x11.h)
endif(WIN32)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
add_definitions(-DQT_DEPRECATED_WARNINGS)

set(SOURCES
        src/colorbutton.cpp
        src/dialogaddeditnewemail.cpp
        src/dialogsettings.cpp
        src/dialoglogoutput.cpp
        src/modelaccounttree.cpp
        src/modelnewemails.cpp
        src/morkparser.cpp
        src/setting_newemail.cpp
        src/settings.cpp
        src/trayicon.cpp
        src/unreadmonitor.cpp
        src/utils.cpp
        src/log.cpp
        src/windowtools.cpp
        src/autoupdater.cpp
        src/updatedialog.cpp
        src/updatedownloaddialog.cpp
        src/mailaccountdialog.cpp
        src/birdtrayapp.cpp
        src/dialogaddeditnewemail.ui
        src/dialogsettings.ui
        src/updatedialog.ui
        src/updatedownloaddialog.ui
        src/dialoglogoutput.ui
        src/mailaccountdialog.ui)

set(HEADERS
        src/colorbutton.h
        src/dialogaddeditnewemail.h
        src/dialoglogoutput.h
        src/dialogsettings.h
        src/log.h
        src/modelaccounttree.h
        src/modelnewemails.h
        src/morkparser.h
        src/setting_newemail.h
        src/settings.h
        src/trayicon.h
        src/unreadmonitor.h
        src/utils.h
        src/version.h
        src/windowtools.h
        src/autoupdater.h
        src/updatedialog.h
        src/updatedownloaddialog.h
        src/mailaccountdialog.h
        src/birdtrayapp.h)

set(RESOURCES src/resources.qrc)
source_group("Resources" FILES ${RESOURCES})
qt5_add_resources(RESOURCES_SOURCES ${RESOURCES})
set_source_files_properties(${RESOURCES_SOURCES} PROPERTIES GENERATED ON)

if(Qt5LinguistTools_FOUND)
    set(MAIN_TRANSLATION_FILES
            src/translations/main_en.ts
            src/translations/main_de.ts
            src/translations/main_nl.ts
            src/translations/main_it.ts
            )
    set(DYN_TRANSLATION_FILES
            src/translations/dynamic_en.ts
            src/translations/dynamic_de.ts
            src/translations/dynamic_nl.ts
            src/translations/dynamic_it.ts
            )

    set_source_files_properties(${MAIN_TRANSLATION_FILES} PROPERTIES OUTPUT_LOCATION
            ${CMAKE_CURRENT_BINARY_DIR}/translations)
    set_source_files_properties(${DYN_TRANSLATION_FILES} PROPERTIES OUTPUT_LOCATION
            ${CMAKE_CURRENT_BINARY_DIR}/translations)

    qt5_create_translation(GEN_TRANSLATION_FILES
            ${MAIN_TRANSLATION_FILES}
            ${SOURCES} ${PLATFORM_SOURCES} ${HEADERS} ${PLATFORM_HEADERS}
            OPTIONS -locations none)
    qt5_add_translation(GEN_DYN_TRANSLATION_FILES ${DYN_TRANSLATION_FILES})
    list(APPEND GEN_TRANSLATION_FILES ${GEN_DYN_TRANSLATION_FILES})
endif(Qt5LinguistTools_FOUND)

add_library(birdtray_lib STATIC
        ${SOURCES} ${PLATFORM_SOURCES} ${RESOURCES_SOURCES} ${GEN_TRANSLATION_FILES}
        ${HEADERS} ${PLATFORM_HEADERS})
target_include_directories(birdtray_lib PUBLIC src)
target_link_libraries(birdtray_lib PUBLIC ${REQUIRED_MODULES})

add_executable(birdtray
        ${EXECUTABLE_OPTIONS} src/main.cpp ${PLATFORM_EXE_SOURCES} ${RESOURCES_SOURCES}
        ${HEADERS} ${PLATFORM_HEADERS})
target_link_libraries(birdtray birdtray_lib)

if(MSVC)
    target_compile_options(birdtray_lib PUBLIC /utf-8)
endif()

option(COMPILER_WARNINGS_AS_ERRORS "Fail the build on compiler warnings" OFF)
if(COMPILER_WARNINGS_AS_ERRORS)
    if(MSVC)
        target_compile_options(birdtray_lib PUBLIC /W4 /WX)
    else()
        target_compile_options(birdtray_lib PUBLIC -Wall -Wextra -Wpedantic -Werror)
    endif()
endif()

# Tests
option(BUILD_WITH_TESTS "Build and add a test target. This requires GTest." OFF)
if(BUILD_WITH_TESTS)
    enable_testing()
    add_subdirectory(tests)
endif()

# Installation
if(WIN32)
    if(POLICY CMP0087)
        cmake_policy(SET CMP0087 NEW)
    endif()

    option(DONT_EXECUTE_INSTALLER "Only create the Windows installer but don't execute it" OFF)
    set(INSTALL_ARG --install)
    if (DONT_EXECUTE_INSTALLER)
        set(INSTALL_ARG)
    endif()

    # Find ssl libraries
    find_package(OpenSSL QUIET)
    get_filename_component(SSL_PATH ${OPENSSL_SSL_LIBRARY} DIRECTORY)
    if(SSL_PATH)
        STRING(REGEX REPLACE "/" "\\\\\\\\" SSL_PATH ${SSL_PATH})
    else()
        set(SSL_PATH "C:\\\\Program Files\\\\OpenSSL")
    endif()

    # Create installer
    install(CODE "if(NOT POLICY CMP0087)
            message(FATAL_ERROR \"The install target requires cmake 3.14 or newer\")
        endif()
        execute_process(
        COMMAND cmd /C buildInstaller.bat \"$<TARGET_FILE:birdtray>\" \"${SSL_PATH}\" ${INSTALL_ARG}
        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/installer
        RESULT_VARIABLE INSTALL_RESULT)
        if(NOT \${INSTALL_RESULT} EQUAL \"0\")
            message(FATAL_ERROR \"Install command failed with exit code \${INSTALL_RESULT}\")
        endif()")
else()
    include(GNUInstallDirs)
    install(TARGETS birdtray RUNTIME DESTINATION bin)
    install(FILES src/res/com.ulduzsoft.Birdtray.desktop
            DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
    install(FILES src/res/com.ulduzsoft.Birdtray.appdata.xml
            DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/metainfo)
    foreach(size 32 48 64 128)
        install(FILES src/res/icons/${size}/com.ulduzsoft.Birdtray.png
                DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/${size}x${size}/apps)
    endforeach()
    install(FILES src/res/birdtray.svg
            DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/apps
            RENAME com.ulduzsoft.Birdtray.svg)
    install(DIRECTORY ${CMAKE_BINARY_DIR}/translations
            DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/ulduzsoft/birdtray)
endif()

if(Qt5LinguistTools_FOUND)
    add_custom_target(clean_translations COMMENT "Remove obsolete translation entries")
    foreach(TRANSLATION_FILE ${MAIN_TRANSLATION_FILES})
        get_filename_component(TRANSLATION_NAME ${TRANSLATION_FILE} NAME)
        set(TRANSLATION_LST_FILE
                "${CMAKE_CURRENT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/${TRANSLATION_NAME}_lst_file")
        if(NOT EXISTS ${TRANSLATION_LST_FILE})
            get_filename_component(TRANSLATION_NAME ${TRANSLATION_FILE} NAME_WE)
            set(TRANSLATION_LST_FILE
                    "${CMAKE_CURRENT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/${TRANSLATION_NAME}_lst_file")
        endif()
        add_custom_command(TARGET clean_translations
                COMMAND ${Qt5_LUPDATE_EXECUTABLE}
                ARGS -locations none -no-obsolete "@${TRANSLATION_LST_FILE}"
                -ts ${CMAKE_CURRENT_SOURCE_DIR}/${TRANSLATION_FILE}
                DEPENDS ${TRANSLATION_LST_FILE})
    endforeach()
endif()

=== tests/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

find_package(GTest QUIET)
if (NOT GTEST_FOUND)
    message("Unable to find GTest on the system, downloading it...")
    add_subdirectory(deps/GTest)
endif()


set(TESTS
        src/test_morkparser.cpp
        src/test_utils.cpp
        )

add_executable(tests src/TestResources.cpp src/TestResources.h ${TESTS})
target_include_directories(tests PRIVATE src)
target_link_libraries(tests GTest::GTest GMock::GMock GMock::Main birdtray_lib)
gtest_discover_tests(tests)

add_custom_target(run_tests COMMENT "Run the Birdtray tests")
add_custom_command(TARGET run_tests
        POST_BUILD COMMAND $<TARGET_FILE:tests>)

=== tests/deps/GTest/CMakeLists.txt ===
# Download and unpack googletest at configure time
configure_file(CMakeLists.txt.in googletest-download/CMakeLists.txt)
# Call CMake to download and Google Test
execute_process(COMMAND ${CMAKE_COMMAND} -G "${CMAKE_GENERATOR}" .
        RESULT_VARIABLE result
        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/googletest-download)
if(result)
    message(FATAL_ERROR "CMake step for googletest failed: ${result}")
endif()
# Build the downloaded google test
execute_process(COMMAND ${CMAKE_COMMAND} --build .
        RESULT_VARIABLE result
        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/googletest-download)
if(result)
    message(FATAL_ERROR "Build step for googletest failed: ${result}")
endif()

# Prevent overriding the parent project's compiler/linker
# settings on Windows
set(gtest_force_shared_crt ON CACHE BOOL "" FORCE)
# Prevent installation of GTest with your project
set(INSTALL_GTEST OFF CACHE BOOL "" FORCE)
set(INSTALL_GMOCK OFF CACHE BOOL "" FORCE)

# Add googletest directly to our build. This defines
# the gtest and gtest_main targets.
add_subdirectory(${CMAKE_CURRENT_BINARY_DIR}/googletest-src
        ${CMAKE_CURRENT_BINARY_DIR}/googletest-build
        EXCLUDE_FROM_ALL)

# Add aliases for GTest and GMock libraries
if(NOT TARGET GTest::GTest)
    add_library(GTest::GTest ALIAS gtest)
    add_library(GTest::Main ALIAS gtest_main)
endif()

if(NOT TARGET GTest::GMock)
    add_library(GMock::GMock ALIAS gmock)
    add_library(GMock::Main ALIAS gmock_main)
endif()

=== debian/changelog ===
birdtray (1.8.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * B-Deps: - libsqlite3-dev, + libqt5svg5-dev

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 20 Apr 2020 02:31:15 +0200

birdtray (1.7.0+ds-2) unstable; urgency=medium

  * Fix FTBFS due to missing X11/Xlib-xcb.h

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 03 Feb 2020 05:51:03 +0100

=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/archive\/(?:RELEASE_|)(\d\S*)\.tar\.gz/birdtray-$1\.tar\.gz/,\
  repack, repacksuffix=+ds, dversionmangle=s/\+ds//" \
  https://github.com/gyunaev/birdtray/tags .*/archive/(?:RELEASE_|)(\d\S*)\.tar\.gz

## birdtray 1.8.1+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,8 @@
 cmake_minimum_required(VERSION 3.1.0)
+
+if(POLICY CMP0092)
+    cmake_policy(SET CMP0092 NEW)
+endif()
 
 project(Birdtray CXX)
 
@@ -54,6 +58,10 @@
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTOUIC ON)
 add_definitions(-DQT_DEPRECATED_WARNINGS)
+if(${CMAKE_VERSION} VERSION_LESS "3.8.0")
+    # AUTO_UIC places generated header files in CMAKE_CURRENT_BINARY_DIR before 3.8.0.
+    set(CMAKE_INCLUDE_CURRENT_DIR ON)
+endif()
 
 set(SOURCES
         src/colorbutton.cpp
@@ -115,12 +123,18 @@
             src/translations/main_de.ts
             src/translations/main_nl.ts
             src/translations/main_it.ts
+            src/translations/main_ru.ts
+            src/translations/main_pt.ts
+            src/translations/main_es.ts
             )
     set(DYN_TRANSLATION_FILES
             src/translations/dynamic_en.ts
             src/translations/dynamic_de.ts
             src/translations/dynamic_nl.ts
             src/translations/dynamic_it.ts
+            src/translations/dynamic_ru.ts
+            src/translations/dynamic_pt.ts
+            src/translations/dynamic_es.ts
             )
 
     set_source_files_properties(${MAIN_TRANSLATION_FILES} PROPERTIES OUTPUT_LOCATION

=== debian/changelog ===
birdtray (1.8.1+ds-1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 02 Nov 2020 16:30:11 -0800

birdtray (1.8.1+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 29 Apr 2020 18:58:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: birdtray
 Section: mail
 Priority: optional
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Adam Borowski <kilobyte@angband.pl>
-Build-Depends: debhelper (>= 12),
-               cmake,
+Build-Depends: cmake,
+               debhelper-compat (=12),
+               libqt5svg5-dev,
                libqt5x11extras5-dev,
-               libsqlite3-dev,
+               libx11-xcb-dev,
                qtbase5-dev,
                qttools5-dev,
-               thunderbird (>= 1:60),
-Standards-Version: 4.4.1
+               thunderbird (>= 1:60)
+Standards-Version: 4.5.0
 Homepage: https://github.com/gyunaev/birdtray
 Vcs-Git: https://salsa.debian.org/debian/birdtray
 Vcs-Browser: https://salsa.debian.org/debian/birdtray

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,6 @@
 
 %:
 	dh $@
+
 override_dh_strip:
-	dh_strip -a --no-automatic-dbgsym
-	
+	dh_strip --no-automatic-dbgsym

## birdtray 1.9.0%2Bds

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,3 @@
 
 %:
 	dh $@
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## birdtray 1.9.0+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -126,6 +126,9 @@
             src/translations/main_ru.ts
             src/translations/main_pt.ts
             src/translations/main_es.ts
+            src/translations/main_sv.ts
+            src/translations/main_tr.ts
+            src/translations/main_pl.ts
             )
     set(DYN_TRANSLATION_FILES
             src/translations/dynamic_en.ts
@@ -135,6 +138,9 @@
             src/translations/dynamic_ru.ts
             src/translations/dynamic_pt.ts
             src/translations/dynamic_es.ts
+            src/translations/dynamic_sv.ts
+            src/translations/dynamic_tr.ts
+            src/translations/dynamic_pl.ts
             )
 
     set_source_files_properties(${MAIN_TRANSLATION_FILES} PROPERTIES OUTPUT_LOCATION

=== debian/changelog ===
birdtray (1.9.0+ds-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for FTBFS with CMake 4. (Closes: #1112755)

 -- Adrian Bunk <bunk@debian.org>  Sun, 26 Oct 2025 11:23:00 +0200

birdtray (1.9.0+ds-2) unstable; urgency=medium

  * Update the watch file.
  * dh 13.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 30 Sep 2021 20:54:11 +0200

birdtray (1.9.0+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 05 Nov 2020 19:55:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: birdtray
 Section: mail
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Adam Borowski <kilobyte@angband.pl>
-Build-Depends: cmake,
-               debhelper-compat (=12),
+Maintainer: Adam Borowski <kilobyte@angband.pl>
+Build-Depends: debhelper-compat (=13),
+               cmake,
+               libqt5x11extras5-dev,
                libqt5svg5-dev,
-               libqt5x11extras5-dev,
                libx11-xcb-dev,
                qtbase5-dev,
                qttools5-dev,
-               thunderbird (>= 1:60)
-Standards-Version: 4.5.0
+               thunderbird (>= 1:60),
+Standards-Version: 4.6.0
 Homepage: https://github.com/gyunaev/birdtray
 Vcs-Git: https://salsa.debian.org/debian/birdtray
 Vcs-Browser: https://salsa.debian.org/debian/birdtray

=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/archive\/(?:RELEASE_|v|)(\d\S*)\.tar\.gz/birdtray-$1\.tar\.gz/,\
  repack, repacksuffix=+ds, dversionmangle=s/\+ds//" \
  https://github.com/gyunaev/birdtray/tags .*/tags/(?:RELEASE_|v|)(\d\S*)\.tar\.gz

## birdtray 1.9.0+ds+git20220919

=== CMakeLists.txt ===
--- 
+++ 
@@ -120,6 +120,7 @@
 if(Qt5LinguistTools_FOUND)
     set(MAIN_TRANSLATION_FILES
             src/translations/main_en.ts
+            src/translations/main_fr.ts
             src/translations/main_de.ts
             src/translations/main_nl.ts
             src/translations/main_it.ts
@@ -129,9 +130,12 @@
             src/translations/main_sv.ts
             src/translations/main_tr.ts
             src/translations/main_pl.ts
+            src/translations/main_zh_cn.ts
+            src/translations/main_el.ts
             )
     set(DYN_TRANSLATION_FILES
             src/translations/dynamic_en.ts
+            src/translations/dynamic_fr.ts
             src/translations/dynamic_de.ts
             src/translations/dynamic_nl.ts
             src/translations/dynamic_it.ts
@@ -141,6 +145,8 @@
             src/translations/dynamic_sv.ts
             src/translations/dynamic_tr.ts
             src/translations/dynamic_pl.ts
+            src/translations/dynamic_zh_cn.ts
+            src/translations/dynamic_el.ts
             )
 
     set_source_files_properties(${MAIN_TRANSLATION_FILES} PROPERTIES OUTPUT_LOCATION
@@ -233,8 +239,10 @@
     install(FILES src/res/birdtray.svg
             DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/apps
             RENAME com.ulduzsoft.Birdtray.svg)
-    install(DIRECTORY ${CMAKE_BINARY_DIR}/translations
-            DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/ulduzsoft/birdtray)
+    if(Qt5LinguistTools_FOUND)
+        install(DIRECTORY ${CMAKE_BINARY_DIR}/translations
+                DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/ulduzsoft/birdtray)
+    endif()
 endif()
 
 if(Qt5LinguistTools_FOUND)

## birdtray 1.9.0+ds-2+11.0trisquel2

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,16 +20,16 @@
 set(PLATFORM_HEADERS)
 set(EXECUTABLE_OPTIONS)
 
-option(OPT_THUNDERBIRD_CMDLINE "Default Thunderbird startup command-line" [])
-option(OPT_THUNDERBIRD_PROFILE "Default Thunderbird profile path" [])
+option(OPT_THUNDERBIRD_CMDLINE "Default Icedove startup command-line" [])
+option(OPT_THUNDERBIRD_PROFILE "Default Icedove profile path" [])
 
 if(OPT_THUNDERBIRD_CMDLINE)
-    message(STATUS "Setting Thunderbird command-line to ${OPT_THUNDERBIRD_CMDLINE}")
+    message(STATUS "Setting Icedove command-line to ${OPT_THUNDERBIRD_CMDLINE}")
     add_definitions(-DOPT_THUNDERBIRD_CMDLINE="${OPT_THUNDERBIRD_CMDLINE}")
 endif(OPT_THUNDERBIRD_CMDLINE)
 
 if(OPT_THUNDERBIRD_PROFILE)
-    message(STATUS "Setting Thunderbird profile path to ${OPT_THUNDERBIRD_PROFILE}")
+    message(STATUS "Setting Icedove profile path to ${OPT_THUNDERBIRD_PROFILE}")
     add_definitions(-DOPT_THUNDERBIRD_PROFILE="${OPT_THUNDERBIRD_PROFILE}")
 endif(OPT_THUNDERBIRD_PROFILE)
 
@@ -120,7 +120,6 @@
 if(Qt5LinguistTools_FOUND)
     set(MAIN_TRANSLATION_FILES
             src/translations/main_en.ts
-            src/translations/main_fr.ts
             src/translations/main_de.ts
             src/translations/main_nl.ts
             src/translations/main_it.ts
@@ -130,12 +129,9 @@
             src/translations/main_sv.ts
             src/translations/main_tr.ts
             src/translations/main_pl.ts
-            src/translations/main_zh_cn.ts
-            src/translations/main_el.ts
             )
     set(DYN_TRANSLATION_FILES
             src/translations/dynamic_en.ts
-            src/translations/dynamic_fr.ts
             src/translations/dynamic_de.ts
             src/translations/dynamic_nl.ts
             src/translations/dynamic_it.ts
@@ -145,8 +141,6 @@
             src/translations/dynamic_sv.ts
             src/translations/dynamic_tr.ts
             src/translations/dynamic_pl.ts
-            src/translations/dynamic_zh_cn.ts
-            src/translations/dynamic_el.ts
             )
 
     set_source_files_properties(${MAIN_TRANSLATION_FILES} PROPERTIES OUTPUT_LOCATION
@@ -239,10 +233,8 @@
     install(FILES src/res/birdtray.svg
             DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/apps
             RENAME com.ulduzsoft.Birdtray.svg)
-    if(Qt5LinguistTools_FOUND)
-        install(DIRECTORY ${CMAKE_BINARY_DIR}/translations
-                DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/ulduzsoft/birdtray)
-    endif()
+    install(DIRECTORY ${CMAKE_BINARY_DIR}/translations
+            DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/ulduzsoft/birdtray)
 endif()
 
 if(Qt5LinguistTools_FOUND)

=== debian/changelog ===
birdtray (1.9.0+ds-2+11.0trisquel2) aramo; urgency=medium

  * Customization for Icedove.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 23 Sep 2022 06:12:13 +0000

=== debian/control ===
Source: birdtray
Section: mail
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Build-Depends: debhelper-compat (=13),
               cmake,
               libqt5x11extras5-dev,
               libqt5svg5-dev,
               libx11-xcb-dev,
               qtbase5-dev,
               qttools5-dev,
               icedove (>= 1:60),
Standards-Version: 4.6.0
Homepage: https://github.com/gyunaev/birdtray
Vcs-Git: https://salsa.debian.org/debian/birdtray
Vcs-Browser: https://salsa.debian.org/debian/birdtray
Rules-Requires-Root: no

Package: birdtray
Architecture: any
Depends: icedove, ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Description: system tray notifications for Icedove
 Birdtray provides systray notifications for Icedove.  It displays the
 count of unread mail, hides the Icedove window when not in use, and
 restores it on clicking the tray icon.  It also provides a context menu
 with commands such as starting composing a new mail.
 .
 It is a nasty hack -- an external process looking at Icedove's
 insides, it suffers from problems like noticing new mails only after a
 delay, having to restart Icedove just to hide its window, etc --
 you'd want to use an extension like firetray instead -- but, it is
 likely that support for Icedove XUL extensions will be dropped soon,
 possibly by the time you read these words.

## birdtray 1.11.0%2Bds

=== debian/changelog ===
birdtray (1.11.0+ds-0.1~mx23+1) mx; urgency=medium

  * Import new upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 30 Aug 2023 11:32:11 -0700

## birdtray 1.11.0+ds

=== debian/changelog ===
birdtray (1.11.0+ds-0.1~mx21+1) mx; urgency=medium

  * Import new upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 30 Aug 2023 11:32:11 -0700

=== debian/control ===
Source: birdtray
Section: mail
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Adam Borowski <kilobyte@angband.pl>
Build-Depends: cmake,
               debhelper-compat (=13),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-xcb-dev,
               qtbase5-dev,
               qttools5-dev,
               thunderbird (>= 1:60)
Standards-Version: 4.6.0
Homepage: https://github.com/gyunaev/birdtray
Vcs-Git: https://salsa.debian.org/debian/birdtray
Vcs-Browser: https://salsa.debian.org/debian/birdtray
Rules-Requires-Root: no

Package: birdtray
Architecture: any
Depends: thunderbird, ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Description: system tray notifications for Thunderbird
 Birdtray provides systray notifications for Thunderbird.  It displays the
 count of unread mail, hides the Thunderbird window when not in use, and
 restores it on clicking the tray icon.  It also provides a context menu
 with commands such as starting composing a new mail.
 .
 It is a nasty hack -- an external process looking at Thunderbird's
 insides, it suffers from problems like noticing new mails only after a
 delay, having to restart Thunderbird just to hide its window, etc --
 you'd want to use an extension like firetray instead -- but, it is
 likely that support for Thunderbird XUL extensions will be dropped soon,
 possibly by the time you read these words.

## birdtray 1.11.4+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,16 +20,16 @@
 set(PLATFORM_HEADERS)
 set(EXECUTABLE_OPTIONS)
 
-option(OPT_THUNDERBIRD_CMDLINE "Default Icedove startup command-line" [])
-option(OPT_THUNDERBIRD_PROFILE "Default Icedove profile path" [])
+option(OPT_THUNDERBIRD_CMDLINE "Default Thunderbird startup command-line" [])
+option(OPT_THUNDERBIRD_PROFILE "Default Thunderbird profile path" [])
 
 if(OPT_THUNDERBIRD_CMDLINE)
-    message(STATUS "Setting Icedove command-line to ${OPT_THUNDERBIRD_CMDLINE}")
+    message(STATUS "Setting Thunderbird command-line to ${OPT_THUNDERBIRD_CMDLINE}")
     add_definitions(-DOPT_THUNDERBIRD_CMDLINE="${OPT_THUNDERBIRD_CMDLINE}")
 endif(OPT_THUNDERBIRD_CMDLINE)
 
 if(OPT_THUNDERBIRD_PROFILE)
-    message(STATUS "Setting Icedove profile path to ${OPT_THUNDERBIRD_PROFILE}")
+    message(STATUS "Setting Thunderbird profile path to ${OPT_THUNDERBIRD_PROFILE}")
     add_definitions(-DOPT_THUNDERBIRD_PROFILE="${OPT_THUNDERBIRD_PROFILE}")
 endif(OPT_THUNDERBIRD_PROFILE)
 
@@ -120,6 +120,7 @@
 if(Qt5LinguistTools_FOUND)
     set(MAIN_TRANSLATION_FILES
             src/translations/main_en.ts
+            src/translations/main_fr.ts
             src/translations/main_de.ts
             src/translations/main_nl.ts
             src/translations/main_it.ts
@@ -129,9 +130,13 @@
             src/translations/main_sv.ts
             src/translations/main_tr.ts
             src/translations/main_pl.ts
+            src/translations/main_zh_cn.ts
+            src/translations/main_el.ts
+            src/translations/main_cs.ts
             )
     set(DYN_TRANSLATION_FILES
             src/translations/dynamic_en.ts
+            src/translations/dynamic_fr.ts
             src/translations/dynamic_de.ts
             src/translations/dynamic_nl.ts
             src/translations/dynamic_it.ts
@@ -141,6 +146,9 @@
             src/translations/dynamic_sv.ts
             src/translations/dynamic_tr.ts
             src/translations/dynamic_pl.ts
+            src/translations/dynamic_zh_cn.ts
+            src/translations/dynamic_el.ts
+            src/translations/dynamic_cs.ts
             )
 
     set_source_files_properties(${MAIN_TRANSLATION_FILES} PROPERTIES OUTPUT_LOCATION
@@ -174,9 +182,11 @@
 option(COMPILER_WARNINGS_AS_ERRORS "Fail the build on compiler warnings" OFF)
 if(COMPILER_WARNINGS_AS_ERRORS)
     if(MSVC)
-        target_compile_options(birdtray_lib PUBLIC /W4 /WX)
+        target_compile_options(birdtray_lib PUBLIC /W4 /WX
+                /wd4996) # We ignore deprecated warnings for now
     else()
-        target_compile_options(birdtray_lib PUBLIC -Wall -Wextra -Wpedantic -Werror)
+        target_compile_options(birdtray_lib PUBLIC -Wall -Wextra -Wpedantic -Werror
+                -Wno-deprecated-declarations) # We ignore deprecated warnings for now
     endif()
 endif()
 
@@ -201,7 +211,11 @@
 
     # Find ssl libraries
     find_package(OpenSSL QUIET)
-    get_filename_component(SSL_PATH ${OPENSSL_SSL_LIBRARY} DIRECTORY)
+    get_filename_component(SSL_LIB_DIR "${OPENSSL_SSL_LIBRARY}" DIRECTORY)
+    # Sometimes, the .lib files are in a lib directory and the .dll files are in the parent directory
+    get_filename_component(SSL_PARENT_DIR "${SSL_LIB_DIR}" DIRECTORY)
+    find_library(SSL_LIB_PATH ssl PATHS "${SSL_LIB_DIR}" "${SSL_PARENT_DIR}")
+    get_filename_component(SSL_PATH "${SSL_LIB_PATH}" DIRECTORY)
     if(SSL_PATH)
         STRING(REGEX REPLACE "/" "\\\\\\\\" SSL_PATH ${SSL_PATH})
     else()
@@ -233,8 +247,10 @@
     install(FILES src/res/birdtray.svg
             DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/apps
             RENAME com.ulduzsoft.Birdtray.svg)
-    install(DIRECTORY ${CMAKE_BINARY_DIR}/translations
-            DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/ulduzsoft/birdtray)
+    if(Qt5LinguistTools_FOUND)
+        install(DIRECTORY ${CMAKE_BINARY_DIR}/translations
+                DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/ulduzsoft/birdtray)
+    endif()
 endif()
 
 if(Qt5LinguistTools_FOUND)

=== debian/changelog ===
birdtray (1.11.4+ds-0.1~mx23) mx; urgency=medium

  * Import new upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 30 Oct 2025 16:06:21 -0700

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 Rules-Requires-Root: no
 
 Package: birdtray
-Architecture: any
+Architecture: amd64 arm64 i386 loong64 mips64el ppc64el ppc64 riscv64
 Depends: thunderbird, ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: foreign
 Description: system tray notifications for Thunderbird

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,7 @@
 
 %:
 	dh $@
+
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
